Commit 7e56637d authored by POTTIER Francois's avatar POTTIER Francois

Fix build.sh, which was broken by my recent changes to src/Makefile.

parent 92fd60c4
......@@ -11,23 +11,21 @@
# Recompile.
rm -f $SRC/installation.ml
echo "Building Menhir..."
echo "Building Menhir and MenhirLib..."
if ! make -C $SRC >/dev/null ; then
echo "Could not build Menhir. Stop."
exit 1
fi
echo "Building MenhirLib..."
if ! make -C $SRC library >/dev/null ; then
echo "Could not build MenhirLib. Stop."
exit 1
fi
# Re-install MenhirLib.
echo "Removing old MenhirLib..."
ocamlfind remove menhirLib
echo "Installing new MenhirLib..."
cp -f $SRC/menhirLib.META $SRC/META
trap "{ rm -f $SRC/META ; }" EXIT
if ! ocamlfind install menhirLib \
$SRC/META $BUILD/menhirLib.cmi $BUILD/menhirLib.cmo \
$BUILD/menhirLib.cmx $BUILD/menhirLib.o ; then
echo "Could not install MenhirLib. Stop."
exit 1
fi
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment